Subject: Re: [tsvwg] I-D Action: draft-custura-tsvwg-dscp-considerations-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Feb 2021 16:30:52 +1300

Hi,

A very useful draft. I have a few comments:

> 1.  Introduction
...>    This document discusses considerations for assigning a new DiffServ
>    Code Point (DCSP).

Please make that "a new recommended DiffServ Code Point (DCSP)." And then...

> 3.1.  IP-Layer Semantics
> 
>    The DiffServ architecture specifies use of the Diffserv field in the
>    IPv4 and IPv6 packet headers to carry one of 64 distinct DSCP values.

Please add here a reminder of the basic architecture, something like:

"Within a given administrative boundary, each DSCP value may be mapped
to a distinct Per Hop Behavior (PHB) [RFC2474].  When a new PHB is
standardized, a recommended DSCP value among those 64 values is
normally reserved for that PHB."

I know the authors know this. But I'm not convinced the average
reader will know it, and I think it will help understanding of
the text later in the same sub-section.

It might also be worth adding a note at the end of section 3.1
that DSCPs are sometimes referred to by names such as CS1, and sometimes
by decimal, hex, or binary value. And point to the IANA registry.

The rest of the draft looks like an excellent start.

Regards
   Brian Carpenter

On 22-Feb-21 06:18, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Considerations for Assigning DiffServ Codepoints (DCSPs)
>         Authors         : Ana Custura
>                           Godred Fairhurst
>                           Raffaello Secchi
> 	Filename        : draft-custura-tsvwg-dscp-considerations-00.txt
> 	Pages           : 14
> 	Date            : 2021-02-21
> 
> Abstract:
>    This document discusses the considerations for assigning new DiffServ
>    Code Points (DCSPs).  It considers the common remarking behaviours
>    that the Diffserv field might be subjected to along an Internet path.
>    It also notes some implications of using a specific DSCP.
> 
>    This individual draft aims to seek comments and contributions from
>    the TSVWG working group.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-custura-tsvwg-dscp-considerations/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-custura-tsvwg-dscp-considerations-00
> https://datatracker.ietf.org/doc/html/draft-custura-tsvwg-dscp-considerations-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>